package email

import (
	"encoding/json"
	"fmt"
	"git.loafle.net/overflow/overflow_service/proxy/member"
	"testing"
)

func getEmailObj() (*Email, *EmailService) {
	es := NewEmailService()
	m := &member.Member{
		Email:       "geek@loafle.com",
		Name:        "geek",
		CompanyName: "loafle",
		Id:          json.Number("2"),
	}
	e := NewEmail(m, "Hello Oveflow")

	return e, es
}

func TestNewEmail(t *testing.T) {
	e := NewEmail(&member.Member{
		Email:       "geek@loafle.com",
		Name:        "geek",
		CompanyName: "loafle",
		Id:          json.Number("2"),
	},"")

	t.Log(e.Member.Email)
}

func TestSendEmailForAuth(t *testing.T) {
	e, es := getEmailObj()

	es.SendEmailForAuth(e)
}

func TestEmailService_CheckAuthURL(t *testing.T) {
	e, es := getEmailObj()

	//e.Id = json.Number("2")
	e.EmailAuthKey = "3C03F8AB-1D4D-4C8A-8C36-EE2D644988B5"

	rr := es.CheckAuthURL(e)

	fmt.Println(rr)
}
func TestAuthTokenGeneration(t *testing.T) {

	e, es := getEmailObj()
	tt := es.generationAuthToken(e)

	fmt.Println(tt)
}
